<template>
  <div id="app">
    <navigate></navigate>
    <div class="container">
      <div class="row">
        <div class="col s12 m10 l11">
          <about></about>
          <div class="divider"></div>
          <works></works>
          <div class="divider"></div>
          <education></education>
          <div class="divider"></div>
          <skills></skills>
          <div class="divider"></div>
          <interests></interests>
          <div class="divider"></div>
          <contact></contact>
        </div>
        <div class="col hide-on-small-only m2 l1 ">
          <div class="row">
            <div class="col s12">
              <div class="toc-wrapper pinned" style="top: 70px">
                <menu-nav pid="nav-mobile-side" pclass="section table-of-contents left-align" ></menu-nav>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <foot></foot>
  </div>
</template>


<script lang="ts">
  import { Vue, Component } from "vue-property-decorator";
  import MenuNav from "./Menu.vue";
  import Navigate from "./Navigate.vue"
  import About from "./About.vue";
  import Works from "./Works.vue";
  import Contact from "./Contact.vue";
  import Education from "./Education.vue";
  import Interests from "./Interests.vue";
  import Skills from "./Skills.vue";
  import Foot from "./Foot.vue";

  // Education
  @Component({
    components: {
      MenuNav, Navigate, About, Education, Works, Skills, Interests, Contact, Foot
    }
  })
  export default class App extends Vue {}
</script>